package com.ruoyi.system.mapper.operatingmanage;

import com.ruoyi.system.domain.operatingmanage.WsImportantNews;
import com.ruoyi.system.domain.operatingmanage.WsImportantNewsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsImportantNewsMapper {
    long countByExample(WsImportantNewsExample example);

    int deleteByExample(WsImportantNewsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WsImportantNews record);

    int insertSelective(WsImportantNews record);

    List<WsImportantNews> selectByExample(WsImportantNewsExample example);

    WsImportantNews selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WsImportantNews record, @Param("example") WsImportantNewsExample example);

    int updateByExample(@Param("record") WsImportantNews record, @Param("example") WsImportantNewsExample example);

    int updateByPrimaryKeySelective(WsImportantNews record);

    int updateByPrimaryKey(WsImportantNews record);
}